#!/bin/bash
#Check for whether FTDI245 device(s) are physically present, as expected.
#This is a trivial wrapper around ftdi245io, used for consistency with pb_check etc.

CMD="ftdi245io --check"

if [ $# != 0 ]; then
	echo "This checks for the presence of the expected FTDI245 device(s) on this computer's USB bus."
	echo "It checks:  '$CMD'"
	echo "If found, return 0; else return 1."
	exit 1
fi

echo -n "Checking for FTDI245 device(s)..."
if $CMD 2> /dev/null ; then
	echo "OK"
	exit 0
else
	echo "ERROR"
	echo "Warning: FTDI245 device not present as expected. It should be connected via USB." >&2
	echo "Run ftdi245io --check for more details." >&2
	echo "If the device is only available to root, try using 'sudo pam_console_apply'. ">&2
	#zenity --error --text="ERROR: FTDI245 module not present! Check USB connections."
	exit 1
fi

